com.amazonaws.services.lambda.model

## Class FunctionCodeLocation

- java.lang.Object
- - com.amazonaws.services.lambda.model.FunctionCodeLocation

All Implemented Interfaces:
  Serializable, Cloneable

    public class FunctionCodeLocation
    extends Object
    implements Serializable, Cloneable

The object for the Lambda function location.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FunctionCodeLocation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FunctionCodeLocation` `clone()`
`boolean` `equals(Object obj)`
`String` `getLocation()` The presigned URL you can use to download the function's .zip file that you previously uploaded.
`String` `getRepositoryType()` The repository from which you can download the function.
`int` `hashCode()`
`void` `setLocation(String location)` The presigned URL you can use to download the function's .zip file that you previously uploaded.
`void` `setRepositoryType(String repositoryType)` The repository from which you can download the function.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`FunctionCodeLocation` `withLocation(String location)` The presigned URL you can use to download the function's .zip file that you previously uploaded.
`FunctionCodeLocation` `withRepositoryType(String repositoryType)` The repository from which you can download the function.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FunctionCodeLocation

    public FunctionCodeLocation()

### Method Detail

#### setRepositoryType

    public void setRepositoryType(String repositoryType)

The repository from which you can download the function.

Parameters:
  `repositoryType` - The repository from which you can download the function.

#### getRepositoryType

    public String getRepositoryType()

The repository from which you can download the function.

Returns:
  The repository from which you can download the function.

#### withRepositoryType

    public FunctionCodeLocation withRepositoryType(String repositoryType)

The repository from which you can download the function.

Parameters:
  `repositoryType` - The repository from which you can download the function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLocation

    public void setLocation(String location)

The presigned URL you can use to download the function's .zip file that you previously uploaded. The URL is valid for up to 10 minutes.

Parameters:
  `location` - The presigned URL you can use to download the function's .zip file that you previously uploaded. The URL is valid for up to 10 minutes.

#### getLocation

    public String getLocation()

The presigned URL you can use to download the function's .zip file that you previously uploaded. The URL is valid for up to 10 minutes.

Returns:
  The presigned URL you can use to download the function's .zip file that you previously uploaded. The URL is valid for up to 10 minutes.

#### withLocation

    public FunctionCodeLocation withLocation(String location)

The presigned URL you can use to download the function's .zip file that you previously uploaded. The URL is valid for up to 10 minutes.

Parameters:
  `location` - The presigned URL you can use to download the function's .zip file that you previously uploaded. The URL is valid for up to 10 minutes.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public FunctionCodeLocation clone()

Overrides:
  `clone` in class `Object`